package com.xs.core.service.competition;

import com.xs.core.model.user.resp.UserCompetitionResp;

import java.util.List;

/**
 * 竞赛服务接口
 */
public interface CompetitionService {
    /**
     * 金币排行榜
     *
     * @param limit    限制
     * @param invitees 最小邀请人数
     * @return 用户金币排行信息
     */
    List<UserCompetitionResp> goldCoinCompetitionRanking(int limit, int invitees);
}
