package com.xs.core.model.team.resp;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.io.Serializable;

@Data
@Schema(name = "TeamsInfoResp", description = "团队信息")
public class TeamsInfoResp implements Serializable {
    @Schema(description = "总人数")
    private int total;
    @Schema(description = "团队A人数")
    private Long teamACount;
    @Schema(description = "团队B人数")
    private Long teamBCount;
    @Schema(description = "团队A金币抽成占比")
    private String proportionA;
    @Schema(description = "团队B金币抽成占比")
    private String proportionB;
}
